#ifndef __OW_H__
#define __OW_H__


#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif


#define OW_SEARCH_ROM 0xf0
#define OW_READ_ROM   0x33
#define OW_MATCH_ROM  0x55
#define OW_SKIP_ROM   0xcc

typedef unsigned char ow_romcode_t[8];


#define ow_init(port,pin,frequenz) _ow_init(&port,pin,frequenz)
#define ow_rom_search(FoundROM,family) ow_search(OW_SEARCH_ROM,FoundROM,family)

void		_ow_init(volatile unsigned char *owport,unsigned char owpin,unsigned long f_cpu);

unsigned char 	ow_reset(void);

unsigned char 	ow_read_bit(void);

void		ow_write_bit(char bitval);

unsigned char 	ow_read_byte(void);

void		ow_write_byte(char val);

unsigned int 	ow_read_word(void);

unsigned char   ow_search(unsigned char RomCommand,unsigned char FoundROM[][8],unsigned char family);

unsigned char	ow_crc(unsigned char x);

void 		ow_reset_dowcrc(void);

unsigned char	ow_match_rom(unsigned char FoundROM[][8],unsigned char numR);

unsigned char   ow_read_rom(unsigned char FoundROM[8]);

unsigned char 	ow_skip_rom(void);

unsigned char 	ow_ready(void);

#endif






